curl -X GET "https://api.rxradar.xyz/v1/products?brand=clinique&per_page=10" \
-H "Authorization: Bearer rx_YOUR_API_KEY"
{
"network": null,
"brand": "clinique",
"gtin": null,
"search": null,
"data": [
{
"id": 12345,
"gtin": "0020714002527",
"code_alt": null,
"brand": "Clinique",
"name": "Take The Day Off Cleansing Balm 125 ml",
"description": "Silky cleansing balm that melts away long-wear makeup, sunscreen and impurities.",
"url": "https://www.cvs.com/clinique-take-the-day-off-cleansing-balm-125ml",
"currency": "USD",
"format": {
"packaging": "Jar of 125 ml",
"quantity": "125",
"unit": "ml"
},
"images": {
"url": "https://cdn.cvs.com/clinique-take-the-day-off.jpg",
"gallery": null
},
"has_gtin": true,
"has_variants": false,
"has_reviews": true,
"indexed_at": "2026-04-28T19:43:04",
"last_collected_at": "2026-04-29T17:34:54",
"latest": {
"price": 34.00,
"in_stock": true,
"rating": 4.5
}
}
],
"total": 47,
"page": 1,
"per_page": 10,
"pages": 5
}
Products
List Products
List products with filters
GET
/
v1
/
products
curl -X GET "https://api.rxradar.xyz/v1/products?brand=clinique&per_page=10" \
-H "Authorization: Bearer rx_YOUR_API_KEY"
{
"network": null,
"brand": "clinique",
"gtin": null,
"search": null,
"data": [
{
"id": 12345,
"gtin": "0020714002527",
"code_alt": null,
"brand": "Clinique",
"name": "Take The Day Off Cleansing Balm 125 ml",
"description": "Silky cleansing balm that melts away long-wear makeup, sunscreen and impurities.",
"url": "https://www.cvs.com/clinique-take-the-day-off-cleansing-balm-125ml",
"currency": "USD",
"format": {
"packaging": "Jar of 125 ml",
"quantity": "125",
"unit": "ml"
},
"images": {
"url": "https://cdn.cvs.com/clinique-take-the-day-off.jpg",
"gallery": null
},
"has_gtin": true,
"has_variants": false,
"has_reviews": true,
"indexed_at": "2026-04-28T19:43:04",
"last_collected_at": "2026-04-29T17:34:54",
"latest": {
"price": 34.00,
"in_stock": true,
"rating": 4.5
}
}
],
"total": 47,
"page": 1,
"per_page": 10,
"pages": 5
}
Page number
Results per page (max: 100)
Filter by network
Filter by brand (partial match)
Filter by EAN code (EAN13 or EAN7)
Search by product name
curl -X GET "https://api.rxradar.xyz/v1/products?brand=clinique&per_page=10" \
-H "Authorization: Bearer rx_YOUR_API_KEY"
{
"network": null,
"brand": "clinique",
"gtin": null,
"search": null,
"data": [
{
"id": 12345,
"gtin": "0020714002527",
"code_alt": null,
"brand": "Clinique",
"name": "Take The Day Off Cleansing Balm 125 ml",
"description": "Silky cleansing balm that melts away long-wear makeup, sunscreen and impurities.",
"url": "https://www.cvs.com/clinique-take-the-day-off-cleansing-balm-125ml",
"currency": "USD",
"format": {
"packaging": "Jar of 125 ml",
"quantity": "125",
"unit": "ml"
},
"images": {
"url": "https://cdn.cvs.com/clinique-take-the-day-off.jpg",
"gallery": null
},
"has_gtin": true,
"has_variants": false,
"has_reviews": true,
"indexed_at": "2026-04-28T19:43:04",
"last_collected_at": "2026-04-29T17:34:54",
"latest": {
"price": 34.00,
"in_stock": true,
"rating": 4.5
}
}
],
"total": 47,
"page": 1,
"per_page": 10,
"pages": 5
}
⌘I